package org.jeecg.modules.demo.linkouterouterstatistics.service.impl;

import org.jeecg.modules.demo.linkouterouterstatistics.entity.LinkOuterouterStatistics;
import org.jeecg.modules.demo.linkouterouterstatistics.mapper.LinkOuterouterStatisticsMapper;
import org.jeecg.modules.demo.linkouterouterstatistics.service.ILinkOuterouterStatisticsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

/**
 * @Description: 外链信息统计
 * @Author: jeecg-boot
 * @Date:   2023-04-13
 * @Version: V1.0
 */
@Service
public class LinkOuterouterStatisticsServiceImpl extends ServiceImpl<LinkOuterouterStatisticsMapper, LinkOuterouterStatistics> implements ILinkOuterouterStatisticsService {

    @Autowired
    private LinkOuterouterStatisticsMapper linkOuterouterStatisticsMapper;

    @Override
    public List<LinkOuterouterStatistics> listCount() {
        return linkOuterouterStatisticsMapper.listCount();
    }

    @Override
    public LinkOuterouterStatistics listCountByMainUrl(String mainUrl) {
        return linkOuterouterStatisticsMapper.listCountByMainUrl(mainUrl);
    }
}
