package org.jeecg.modules.demo.linkpersonalbankcarddetection.service.impl;

import org.jeecg.modules.demo.linkpersonalbankcarddetection.entity.LinkPersonalBankCardDetection;
import org.jeecg.modules.demo.linkpersonalbankcarddetection.mapper.LinkPersonalBankCardDetectionMapper;
import org.jeecg.modules.demo.linkpersonalbankcarddetection.service.ILinkPersonalBankCardDetectionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description: 个人信息银行卡号检测
 * @Author: jeecg-boot
 * @Date:   2023-05-23
 * @Version: V1.0
 */
@Service
public class LinkPersonalBankCardDetectionServiceImpl extends ServiceImpl<LinkPersonalBankCardDetectionMapper, LinkPersonalBankCardDetection> implements ILinkPersonalBankCardDetectionService {

    @Autowired
    private LinkPersonalBankCardDetectionMapper linkPersonalBankCardDetectionMapper;

    @Override
    public LinkPersonalBankCardDetection listCountByMainUrl(String mainSiteUrl) {
        return linkPersonalBankCardDetectionMapper.listCountByMainUrl(mainSiteUrl);
    }
}
