package org.jeecg.modules.demo.linkpersonalbankcarddetection.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.demo.linkpersonalbankcarddetection.entity.LinkPersonalBankCardDetection;
import org.jeecg.modules.demo.linkpersonalbankcarddetection.entity.LinkPersonalBankCardDetectionVo;
import org.jeecg.modules.demo.linkpersonalbankcarddetection.mapper.LinkPersonalBankCardDetectionMapper;
import org.jeecg.modules.demo.linkpersonalbankcarddetection.mapper.LinkPersonalBankCardDetectionVoMapper;
import org.jeecg.modules.demo.linkpersonalbankcarddetection.service.ILinkPersonalBankCardDetectionService;
import org.jeecg.modules.demo.linkpersonalbankcarddetection.service.ILinkPersonalBankCardDetectionVoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Description: 个人信息银行卡号检测
 * @Author: jeecg-boot
 * @Date:   2023-05-23
 * @Version: V1.0
 */
@Service
public class LinkPersonalBankCardDetectionVoServiceImpl extends ServiceImpl<LinkPersonalBankCardDetectionVoMapper, LinkPersonalBankCardDetectionVo> implements ILinkPersonalBankCardDetectionVoService {

    @Autowired
    private LinkPersonalBankCardDetectionVoMapper linkPersonalBankCardDetectionVoMapper;

    @Override
    public LinkPersonalBankCardDetectionVo listCountByMainUrl(String mainSiteUrl) {
        return linkPersonalBankCardDetectionVoMapper.listCountByMainUrl(mainSiteUrl);
    }
}
