package org.jeecg.modules.demo.linkpersonalphonedetection.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.jeecg.modules.demo.linkpersonalphonedetection.entity.LinkPersonalPhoneDetection;
import org.jeecg.modules.demo.linkpersonalphonedetection.entity.LinkPersonalPhoneDetectionVo;

/**
 * @Description: 个人信息手机号检测
 * @Author: jeecg-boot
 * @Date:   2023-05-26
 * @Version: V1.0
 */
@Mapper
public interface LinkPersonalPhoneDetectionVoMapper extends BaseMapper<LinkPersonalPhoneDetectionVo> {

    @Select("select SUM(error_count) errorCount from link_personal_phone_detection WHERE is_ignore = '2' and is_revise = '1' and main_site_url = #{mainSiteUrl} limit 1")
    LinkPersonalPhoneDetectionVo listCountByMainUrl( @Param("mainSiteUrl") String mainSiteUrl);
}
