package org.jeecg.modules.demo.linkpersonalphonedetection.service.impl;

import org.jeecg.modules.demo.linkpersonalphonedetection.entity.LinkPersonalPhoneDetection;
import org.jeecg.modules.demo.linkpersonalphonedetection.mapper.LinkPersonalPhoneDetectionMapper;
import org.jeecg.modules.demo.linkpersonalphonedetection.service.ILinkPersonalPhoneDetectionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description: 个人信息手机号检测
 * @Author: jeecg-boot
 * @Date:   2023-05-26
 * @Version: V1.0
 */
@Service
public class LinkPersonalPhoneDetectionServiceImpl extends ServiceImpl<LinkPersonalPhoneDetectionMapper, LinkPersonalPhoneDetection> implements ILinkPersonalPhoneDetectionService {

    @Autowired
    private LinkPersonalPhoneDetectionMapper linkPersonalPhoneDetectionMapper;

    @Override
    public LinkPersonalPhoneDetection listCountByMainUrl(String mainSiteUrl) {
        return linkPersonalPhoneDetectionMapper.listCountByMainUrl(mainSiteUrl);
    }
}
