package org.jeecg.modules.demo.linkwechatidnumberdetection.service.impl;

import org.jeecg.modules.demo.linkwechatidnumberdetection.entity.LinkWechatIdNumberDetection;
import org.jeecg.modules.demo.linkwechatidnumberdetection.mapper.LinkWechatIdNumberDetectionMapper;
import org.jeecg.modules.demo.linkwechatidnumberdetection.service.ILinkWechatIdNumberDetectionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description: 微信身份证号检测
 * @Author: jeecg-boot
 * @Date:   2023-07-03
 * @Version: V1.0
 */
@Service
public class LinkWechatIdNumberDetectionServiceImpl extends ServiceImpl<LinkWechatIdNumberDetectionMapper, LinkWechatIdNumberDetection> implements ILinkWechatIdNumberDetectionService {

    @Autowired
    private LinkWechatIdNumberDetectionMapper linkWechatIdNumberDetectionMapper;

    @Override
    public Integer getSumStatistics(String msgBiz) {
        return linkWechatIdNumberDetectionMapper.getSumStatistics(msgBiz);
    }
}
