package org.jeecg.modules.demo.linkwechatphonedetection.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.demo.linkwechatphonedetection.entity.LinkWechatPhoneDetection;
import org.jeecg.modules.demo.linkwechatphonedetection.entity.LinkWechatPhoneDetectionVo;
import org.jeecg.modules.demo.linkwechatphonedetection.mapper.LinkWechatPhoneDetectionMapper;
import org.jeecg.modules.demo.linkwechatphonedetection.mapper.LinkWechatPhoneDetectionVoMapper;
import org.jeecg.modules.demo.linkwechatphonedetection.service.ILinkWechatPhoneDetectionService;
import org.jeecg.modules.demo.linkwechatphonedetection.service.ILinkWechatPhoneDetectionVoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Description: 微信手机号检测
 * @Author: jeecg-boot
 * @Date:   2023-07-03
 * @Version: V1.0
 */
@Service
public class LinkWechatPhoneDetectionVoServiceImpl extends ServiceImpl<LinkWechatPhoneDetectionVoMapper, LinkWechatPhoneDetectionVo> implements ILinkWechatPhoneDetectionVoService {


    @Autowired
    private LinkWechatPhoneDetectionVoMapper linkWechatPhoneDetectionVoMapper;

    @Override
    public Integer getSumStatistics(String msgBiz) {
        return linkWechatPhoneDetectionVoMapper.getSumStatistics(msgBiz);
    }
}
