package org.jeecg.modules.demo.linkouterchaindetection.service.impl;

import org.jeecg.modules.demo.linkouterchaindetection.entity.LinkOuterChainDetection;
import org.jeecg.modules.demo.linkouterchaindetection.mapper.LinkOuterChainDetectionMapper;
import org.jeecg.modules.demo.linkouterchaindetection.service.ILinkOuterChainDetectionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

/**
 * @Description: 外链检测
 * @Author: jeecg-boot
 * @Date:   2023-04-12
 * @Version: V1.0
 */
@Service
public class LinkOuterChainDetectionServiceImpl extends ServiceImpl<LinkOuterChainDetectionMapper, LinkOuterChainDetection> implements ILinkOuterChainDetectionService {

    @Autowired
    private LinkOuterChainDetectionMapper linkOuterChainDetectionMapper;

    @Override
    public List<LinkOuterChainDetection> listCount() {
        return linkOuterChainDetectionMapper.listCount();
    }
}
