-- 注意：该页面对应的前台目录为views/linkpersonalbankcardwhitelist文件夹下
-- 如果你想更改到其他目录，请修改sql中component字段对应的值


INSERT INTO sys_permission(id, parent_id, name, url, component, component_name, redirect, menu_type, perms, perms_type, sort_no, always_show, icon, is_route, is_leaf, keep_alive, hidden, hide_tab, description, status, del_flag, rule_flag, create_by, create_time, update_by, update_time, internal_or_external) 
VALUES ('2023052402024730250', NULL, '个人信息银行卡白名单', '/linkpersonalbankcardwhitelist/linkPersonalBankCardWhiteListList', 'linkpersonalbankcardwhitelist/LinkPersonalBankCardWhiteListList', NULL, NULL, 0, NULL, '1', 0.00, 0, NULL, 1, 0, 0, 0, 0, NULL, '1', 0, 0, 'admin', '2023-05-24 14:02:25', NULL, NULL, 0);

-- 权限控制sql
-- 新增
INSERT INTO sys_permission(id, parent_id, name, url, component, is_route, component_name, redirect, menu_type, perms, perms_type, sort_no, always_show, icon, is_leaf, keep_alive, hidden, hide_tab, description, create_by, create_time, update_by, update_time, del_flag, rule_flag, status, internal_or_external)
VALUES ('2023052402024730251', '2023052402024730250', '添加个人信息银行卡白名单', NULL, NULL, 0, NULL, NULL, 2, 'linkpersonalbankcardwhitelist:link_personal_bank_card_white_list:add', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-05-24 14:02:25', NULL, NULL, 0, 0, '1', 0);
-- 编辑
INSERT INTO sys_permission(id, parent_id, name, url, component, is_route, component_name, redirect, menu_type, perms, perms_type, sort_no, always_show, icon, is_leaf, keep_alive, hidden, hide_tab, description, create_by, create_time, update_by, update_time, del_flag, rule_flag, status, internal_or_external)
VALUES ('2023052402024730252', '2023052402024730250', '编辑个人信息银行卡白名单', NULL, NULL, 0, NULL, NULL, 2, 'linkpersonalbankcardwhitelist:link_personal_bank_card_white_list:edit', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-05-24 14:02:25', NULL, NULL, 0, 0, '1', 0);
-- 删除
INSERT INTO sys_permission(id, parent_id, name, url, component, is_route, component_name, redirect, menu_type, perms, perms_type, sort_no, always_show, icon, is_leaf, keep_alive, hidden, hide_tab, description, create_by, create_time, update_by, update_time, del_flag, rule_flag, status, internal_or_external)
VALUES ('2023052402024730253', '2023052402024730250', '删除个人信息银行卡白名单', NULL, NULL, 0, NULL, NULL, 2, 'linkpersonalbankcardwhitelist:link_personal_bank_card_white_list:delete', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-05-24 14:02:25', NULL, NULL, 0, 0, '1', 0);
-- 批量删除
INSERT INTO sys_permission(id, parent_id, name, url, component, is_route, component_name, redirect, menu_type, perms, perms_type, sort_no, always_show, icon, is_leaf, keep_alive, hidden, hide_tab, description, create_by, create_time, update_by, update_time, del_flag, rule_flag, status, internal_or_external)
VALUES ('2023052402024730254', '2023052402024730250', '批量删除个人信息银行卡白名单', NULL, NULL, 0, NULL, NULL, 2, 'linkpersonalbankcardwhitelist:link_personal_bank_card_white_list:deleteBatch', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-05-24 14:02:25', NULL, NULL, 0, 0, '1', 0);
-- 导出excel
INSERT INTO sys_permission(id, parent_id, name, url, component, is_route, component_name, redirect, menu_type, perms, perms_type, sort_no, always_show, icon, is_leaf, keep_alive, hidden, hide_tab, description, create_by, create_time, update_by, update_time, del_flag, rule_flag, status, internal_or_external)
VALUES ('2023052402024730255', '2023052402024730250', '导出excel_个人信息银行卡白名单', NULL, NULL, 0, NULL, NULL, 2, 'linkpersonalbankcardwhitelist:link_personal_bank_card_white_list:exportXls', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-05-24 14:02:25', NULL, NULL, 0, 0, '1', 0);
-- 导入excel
INSERT INTO sys_permission(id, parent_id, name, url, component, is_route, component_name, redirect, menu_type, perms, perms_type, sort_no, always_show, icon, is_leaf, keep_alive, hidden, hide_tab, description, create_by, create_time, update_by, update_time, del_flag, rule_flag, status, internal_or_external)
VALUES ('2023052402024730256', '2023052402024730250', '导入excel_个人信息银行卡白名单', NULL, NULL, 0, NULL, NULL, 2, 'linkpersonalbankcardwhitelist:link_personal_bank_card_white_list:importExcel', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-05-24 14:02:25', NULL, NULL, 0, 0, '1', 0);