package org.jeecg.modules.demo.linkpersonalidnumberdetection.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.demo.linkpersonalidnumberdetection.entity.LinkPersonalIdNumberDetection;
import org.jeecg.modules.demo.linkpersonalidnumberdetection.entity.LinkPersonalIdNumberDetectionVo;
import org.jeecg.modules.demo.linkpersonalidnumberdetection.mapper.LinkPersonalIdNumberDetectionMapper;
import org.jeecg.modules.demo.linkpersonalidnumberdetection.mapper.LinkPersonalIdNumberDetectionVoMapper;
import org.jeecg.modules.demo.linkpersonalidnumberdetection.service.ILinkPersonalIdNumberDetectionService;
import org.jeecg.modules.demo.linkpersonalidnumberdetection.service.ILinkPersonalIdNumberDetectionVoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Description: 个人信息身份证号检测
 * @Author: jeecg-boot
 * @Date:   2023-05-23
 * @Version: V1.0
 */
@Service
public class LinkPersonalIdNumberDetectionVoServiceImpl extends ServiceImpl<LinkPersonalIdNumberDetectionVoMapper, LinkPersonalIdNumberDetectionVo> implements ILinkPersonalIdNumberDetectionVoService {

    @Autowired
    private LinkPersonalIdNumberDetectionVoMapper linkPersonalIdNumberDetectionVoMapper;

    @Override
    public LinkPersonalIdNumberDetectionVo listCountByMainUrl(String mainSiteUrl) {
        return linkPersonalIdNumberDetectionVoMapper.listCountByMainUrl(mainSiteUrl);
    }
}
