package org.jeecg.modules.demo.linkpersonalphonedetection.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.demo.linkpersonalphonedetection.entity.LinkPersonalPhoneDetection;
import org.jeecg.modules.demo.linkpersonalphonedetection.entity.LinkPersonalPhoneDetectionVo;
import org.jeecg.modules.demo.linkpersonalphonedetection.mapper.LinkPersonalPhoneDetectionMapper;
import org.jeecg.modules.demo.linkpersonalphonedetection.mapper.LinkPersonalPhoneDetectionVoMapper;
import org.jeecg.modules.demo.linkpersonalphonedetection.service.ILinkPersonalPhoneDetectionService;
import org.jeecg.modules.demo.linkpersonalphonedetection.service.ILinkPersonalPhoneDetectionVoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Description: 个人信息手机号检测
 * @Author: jeecg-boot
 * @Date:   2023-05-26
 * @Version: V1.0
 */
@Service
public class LinkPersonalPhoneDetectionVoServiceImpl extends ServiceImpl<LinkPersonalPhoneDetectionVoMapper, LinkPersonalPhoneDetectionVo> implements ILinkPersonalPhoneDetectionVoService {

    @Autowired
    private LinkPersonalPhoneDetectionVoMapper linkPersonalPhoneDetectionVoMapper;

    @Override
    public LinkPersonalPhoneDetectionVo listCountByMainUrl(String mainSiteUrl) {
        return linkPersonalPhoneDetectionVoMapper.listCountByMainUrl(mainSiteUrl);
    }
}
