package org.jeecg.modules.demo.linkwechatidnumberdetection.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.jeecg.modules.demo.linkwechatidnumberdetection.entity.LinkWechatIdNumberDetection;
import org.jeecg.modules.demo.linkwechatidnumberdetection.entity.LinkWechatIdNumberDetectionVo;

/**
 * @Description: 微信身份证号检测
 * @Author: jeecg-boot
 * @Date:   2023-07-03
 * @Version: V1.0
 */
@Mapper
public interface LinkWechatIdNumberDetectionVoMapper extends BaseMapper<LinkWechatIdNumberDetectionVo> {

    @Select("select sum(error_count) from link_wechat_id_number_detection where is_ignore = 2 and is_revise = 1 and msg_biz = #{msgBiz} limit 1")
    Integer getSumStatistics(String msgBiz);
}
