package org.jeecg.modules.demo.linkwechatidnumberdetection.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.demo.linkwechatidnumberdetection.entity.LinkWechatIdNumberDetection;
import org.jeecg.modules.demo.linkwechatidnumberdetection.entity.LinkWechatIdNumberDetectionVo;
import org.jeecg.modules.demo.linkwechatidnumberdetection.mapper.LinkWechatIdNumberDetectionMapper;
import org.jeecg.modules.demo.linkwechatidnumberdetection.mapper.LinkWechatIdNumberDetectionVoMapper;
import org.jeecg.modules.demo.linkwechatidnumberdetection.service.ILinkWechatIdNumberDetectionService;
import org.jeecg.modules.demo.linkwechatidnumberdetection.service.ILinkWechatIdNumberDetectionVoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Description: 微信身份证号检测
 * @Author: jeecg-boot
 * @Date:   2023-07-03
 * @Version: V1.0
 */
@Service
public class LinkWechatIdNumberDetectionVoServiceImpl extends ServiceImpl<LinkWechatIdNumberDetectionVoMapper, LinkWechatIdNumberDetectionVo> implements ILinkWechatIdNumberDetectionVoService {

    @Autowired
    private LinkWechatIdNumberDetectionVoMapper linkWechatIdNumberDetectionVoMapper;

    @Override
    public Integer getSumStatistics(String msgBiz) {
        return linkWechatIdNumberDetectionVoMapper.getSumStatistics(msgBiz);
    }
}
