package org.jeecg.modules.demo.linkweibopersonaliddetectionstatistics.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.jeecg.modules.demo.linkweibopersonaliddetectionstatistics.entity.LinkWeiboPersonalIdDetectionStatistics;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 微博身份证统计信息
 * @Author: jeecg-boot
 * @Date:   2023-07-03
 * @Version: V1.0
 */
@Mapper
public interface LinkWeiboPersonalIdDetectionStatisticsMapper extends BaseMapper<LinkWeiboPersonalIdDetectionStatistics> {
    @Select("select sum(error_count) from link_weibo_phone_detection where is_ignore = 2 and is_revise = 1 and user_id = #{id} limit 1")
    Integer getSumStatistics(String id);
}
