-- 注意：该页面对应的前台目录为views/wechaterrorwordstatistics文件夹下
-- 如果你想更改到其他目录，请修改sql中component字段对应的值


INSERT INTO sys_permission(id, parent_id, name, url, component, component_name, redirect, menu_type, perms, perms_type, sort_no, always_show, icon, is_route, is_leaf, keep_alive, hidden, hide_tab, description, status, del_flag, rule_flag, create_by, create_time, update_by, update_time, internal_or_external) 
VALUES ('2023063005144290400', NULL, '微信错敏词统计信息', '/wechaterrorwordstatistics/wechatErrorWordStatisticsList', 'wechaterrorwordstatistics/WechatErrorWordStatisticsList', NULL, NULL, 0, NULL, '1', 0.00, 0, NULL, 1, 0, 0, 0, 0, NULL, '1', 0, 0, 'admin', '2023-06-30 17:14:40', NULL, NULL, 0);

-- 权限控制sql
-- 新增
INSERT INTO sys_permission(id, parent_id, name, url, component, is_route, component_name, redirect, menu_type, perms, perms_type, sort_no, always_show, icon, is_leaf, keep_alive, hidden, hide_tab, description, create_by, create_time, update_by, update_time, del_flag, rule_flag, status, internal_or_external)
VALUES ('2023063005144290401', '2023063005144290400', '添加微信错敏词统计信息', NULL, NULL, 0, NULL, NULL, 2, 'wechaterrorwordstatistics:wechat_error_word_statistics:add', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-06-30 17:14:40', NULL, NULL, 0, 0, '1', 0);
-- 编辑
INSERT INTO sys_permission(id, parent_id, name, url, component, is_route, component_name, redirect, menu_type, perms, perms_type, sort_no, always_show, icon, is_leaf, keep_alive, hidden, hide_tab, description, create_by, create_time, update_by, update_time, del_flag, rule_flag, status, internal_or_external)
VALUES ('2023063005144290402', '2023063005144290400', '编辑微信错敏词统计信息', NULL, NULL, 0, NULL, NULL, 2, 'wechaterrorwordstatistics:wechat_error_word_statistics:edit', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-06-30 17:14:40', NULL, NULL, 0, 0, '1', 0);
-- 删除
INSERT INTO sys_permission(id, parent_id, name, url, component, is_route, component_name, redirect, menu_type, perms, perms_type, sort_no, always_show, icon, is_leaf, keep_alive, hidden, hide_tab, description, create_by, create_time, update_by, update_time, del_flag, rule_flag, status, internal_or_external)
VALUES ('2023063005144290403', '2023063005144290400', '删除微信错敏词统计信息', NULL, NULL, 0, NULL, NULL, 2, 'wechaterrorwordstatistics:wechat_error_word_statistics:delete', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-06-30 17:14:40', NULL, NULL, 0, 0, '1', 0);
-- 批量删除
INSERT INTO sys_permission(id, parent_id, name, url, component, is_route, component_name, redirect, menu_type, perms, perms_type, sort_no, always_show, icon, is_leaf, keep_alive, hidden, hide_tab, description, create_by, create_time, update_by, update_time, del_flag, rule_flag, status, internal_or_external)
VALUES ('2023063005144290404', '2023063005144290400', '批量删除微信错敏词统计信息', NULL, NULL, 0, NULL, NULL, 2, 'wechaterrorwordstatistics:wechat_error_word_statistics:deleteBatch', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-06-30 17:14:40', NULL, NULL, 0, 0, '1', 0);
-- 导出excel
INSERT INTO sys_permission(id, parent_id, name, url, component, is_route, component_name, redirect, menu_type, perms, perms_type, sort_no, always_show, icon, is_leaf, keep_alive, hidden, hide_tab, description, create_by, create_time, update_by, update_time, del_flag, rule_flag, status, internal_or_external)
VALUES ('2023063005144290405', '2023063005144290400', '导出excel_微信错敏词统计信息', NULL, NULL, 0, NULL, NULL, 2, 'wechaterrorwordstatistics:wechat_error_word_statistics:exportXls', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-06-30 17:14:40', NULL, NULL, 0, 0, '1', 0);
-- 导入excel
INSERT INTO sys_permission(id, parent_id, name, url, component, is_route, component_name, redirect, menu_type, perms, perms_type, sort_no, always_show, icon, is_leaf, keep_alive, hidden, hide_tab, description, create_by, create_time, update_by, update_time, del_flag, rule_flag, status, internal_or_external)
VALUES ('2023063005144290406', '2023063005144290400', '导入excel_微信错敏词统计信息', NULL, NULL, 0, NULL, NULL, 2, 'wechaterrorwordstatistics:wechat_error_word_statistics:importExcel', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-06-30 17:14:40', NULL, NULL, 0, 0, '1', 0);