package org.jeecg.modules.demo.wechatpostsword.service.impl;

import org.jeecg.modules.demo.wechatpostsword.entity.WechatPostsWord;
import org.jeecg.modules.demo.wechatpostsword.mapper.WechatPostsWordMapper;
import org.jeecg.modules.demo.wechatpostsword.service.IWechatPostsWordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description: 微信公众号文章错敏词
 * @Author: jeecg-boot
 * @Date:   2023-06-28
 * @Version: V1.0
 */
@Service
public class WechatPostsWordServiceImpl extends ServiceImpl<WechatPostsWordMapper, WechatPostsWord> implements IWechatPostsWordService {


    @Autowired
    private WechatPostsWordMapper wechatPostsWordMapper;

    @Override
    public Integer getSumSensitiveCount(String wexintId) {
        return wechatPostsWordMapper.getSumSensitiveCount(wexintId);
    }
}
